]> git.pld-linux.org Git - packages/x11vnc.git/commitdiff
- initial revision
authorpascalek <pascalek@pld-linux.org>
Tue, 22 Jan 2008 09:22:12 +0000 (09:22 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    x11vnc-x11vncd -> 1.1
    x11vnc-x11vncd.init -> 1.1
    x11vnc-x11vncd.sysconfig -> 1.1
    x11vnc-x11vncd_passwd -> 1.1

x11vnc-x11vncd [new file with mode: 0644]
x11vnc-x11vncd.init [new file with mode: 0644]
x11vnc-x11vncd.sysconfig [new file with mode: 0644]
x11vnc-x11vncd_passwd [new file with mode: 0644]

diff --git a/x11vnc-x11vncd b/x11vnc-x11vncd
new file mode 100644 (file)
index 0000000..645249a
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ -f /etc/sysconfig/x11vncd ]; then
+       . /etc/sysconfig/x11vncd
+fi
+
+while(true)
+do
+    /usr/bin/x11vnc $X11VNC_OPTIONS 1>/dev/null 2>&1
+    sleep 1s
+done
diff --git a/x11vnc-x11vncd.init b/x11vnc-x11vncd.init
new file mode 100644 (file)
index 0000000..2988b31
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# gdm:         Starts the VNC server
+#
+# Version:     @(#) /etc/rc.d/init.d/x11vncd 0.1
+#
+# chkconfig:   5 96 04
+# description: Starts and stops the VNC server
+#
+# config:      /etc/sysconfig/x11vncd
+
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/x11vncd ]; then
+               msg_starting "VNC Server"
+               daemon --fork /usr/sbin/x11vncd
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/x11vncd
+       else
+               msg_already_running "VNC Server"
+       fi
+       ;;
+  stop)
+       if [ -f /var/lock/subsys/x11vncd ]; then
+               msg_stopping "VNC Server"
+               killproc x11vncd
+               msg_stopping "x11vnc process"
+               killproc x11vnc
+               rm -f /var/lock/subsys/x11vncd
+       else
+               msg_not_running "VNC Server"
+       fi
+       ;;
+  status)
+       status x11vncd
+       status x11vnc
+       exit $?
+       ;;
+  restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
+esac
+
+exit $RETVAL
diff --git a/x11vnc-x11vncd.sysconfig b/x11vnc-x11vncd.sysconfig
new file mode 100644 (file)
index 0000000..452fa11
--- /dev/null
@@ -0,0 +1,4 @@
+# Customized setings for x11vnc
+
+# Default options assume you use gdm
+X11VNC_OPTIONS="-passwdfile /etc/x11vncd_passwd -auth /var/lib/gdm/:0.Xauth -display :0 -noncache"
diff --git a/x11vnc-x11vncd_passwd b/x11vnc-x11vncd_passwd
new file mode 100644 (file)
index 0000000..da7f75e
--- /dev/null
@@ -0,0 +1 @@
+topsecredpasswordforyourvnc
This page took 0.077665 seconds and 4 git commands to generate.